Package org.globus.ftp

# Interface MarkerListener

public interface MarkerListener
Represents an entity capable of receiving incoming markers. Implement it to provide your own methods of analyzing markers.

See Also:
  - `FTPClient.transfer(String, FTPClient, String, boolean, MarkerListener)`
  - `GridFTPClient.extendedTransfer(String, GridFTPClient, String, MarkerListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`markerArrived(Marker m)`
When writing your implementation, assume this method being called whenever a marker arrives.

## Method Details

### markerArrived

void markerArrived(Marker m)
When writing your implementation, assume this method being called whenever a marker arrives.